.\"	$NetBSD: ld.4,v 1.17 2009/04/21 22:21:02 nonaka Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 22, 2009
.Dt LD 4
.Os
.Sh NAME
.Nm ld
.Nd logical disk driver
.Sh SYNOPSIS
.Cd "ld* at aac? unit ?"
.Cd "ld* at amr? unit ?"
.Cd "ld* at cac? unit ?"
.Cd "ld* at icp? unit ?"
.Cd "ld* at iop? tid ?"
.Cd "ld* at mlx? unit ?"
.Cd "ld* at sdmmc?"
.Cd "ld* at twa? unit ?"
.Cd "ld* at twe? unit ?"
.Cd "ld* at ataraid? vendtype ? unit ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for simple block devices, usually presented by a disk
array controller.
.Sh FILES
.Bl -tag -width /dev/rcaXXXXX -compact
.It Pa /dev/ld Ns Ar u Ns Ar p
block mode disk unit
.Ar u ,
partition
.Ar p
.It Pa /dev/rld Ns Ar u Ns Ar p
raw mode disk unit
.Ar u ,
partition
.Ar p
.El
.Sh SEE ALSO
.Xr aac 4 ,
.Xr amr 4 ,
.Xr cac 4 ,
.Xr icp 4 ,
.Xr intro 4 ,
.Xr iop 4 ,
.Xr mlx 4 ,
.Xr sdmmc 4 ,
.Xr twa 4 ,
.Xr twe 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5.3 .
.Sh BUGS
The capacity and geometry of units as accessed through the
.Nm
driver may be different than when accessed through some other
medium (e.g.
.Tn SCSI ) .
